<?php
/**
 * VW Blog Magazine: Block Patterns
 *
 * @package VW Blog Magazine
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-blog-magazine',
		array( 'label' => __( 'VW Blog Magazine', 'vw-blog-magazine' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-blog-magazine/category-section',
		array(
			'title'      => __( 'Category Section', 'vw-blog-magazine' ),
			'categories' => array( 'vw-blog-magazine' ),
			'content'    => "<!-- wp:columns {\"align\":\"wide\",\"className\":\"cat-sec mx-0\"} -->\n<div class=\"wp-block-columns alignwide cat-sec mx-0\"><!-- wp:column {\"className\":\"cat-img\"} -->\n<div class=\"wp-block-column cat-img\"><!-- wp:image {\"id\":4146,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/cat1.png\" alt=\"\" class=\"wp-image-4146\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"cat-content\"} -->\n<div class=\"wp-block-group cat-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center mb-2\",\"style\":{\"color\":{\"text\":\"#25c5b7\"}}} -->\n<p class=\"has-text-align-center text-center mb-2 has-text-color\" style=\"color:#25c5b7\"><strong>FOOD</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":15},\"color\":{\"text\":\"#282828\"}}} -->\n<h1 class=\"has-text-align-center has-text-color\" style=\"color:#282828;font-size:15px\"><strong>TOP FIVE RECIPES OF THIS MONTH</strong></h1>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"cat-img\"} -->\n<div class=\"wp-block-column cat-img\"><!-- wp:image {\"id\":4147,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/cat2.png\" alt=\"\" class=\"wp-image-4147\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"cat-content\"} -->\n<div class=\"wp-block-group cat-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center mb-2\",\"style\":{\"color\":{\"text\":\"#25c5b7\"}}} -->\n<p class=\"has-text-align-center text-center mb-2 has-text-color\" style=\"color:#25c5b7\"><strong>LIFESTYLE</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":15},\"color\":{\"text\":\"#282828\"}}} -->\n<h1 class=\"has-text-align-center has-text-color\" style=\"color:#282828;font-size:15px\"><strong>HOW TO BUILD A GARDEN IN YOUR APPARTMENT</strong></h1>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"cat-img\"} -->\n<div class=\"wp-block-column cat-img\"><!-- wp:image {\"id\":4148,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/cat3.png\" alt=\"\" class=\"wp-image-4148\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"cat-content\"} -->\n<div class=\"wp-block-group cat-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center mb-2\",\"style\":{\"color\":{\"text\":\"#25c5b7\"}}} -->\n<p class=\"has-text-align-center text-center mb-2 has-text-color\" style=\"color:#25c5b7\"><strong>HOTELS</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":15},\"color\":{\"text\":\"#282828\"}}} -->\n<h1 class=\"has-text-align-center has-text-color\" style=\"color:#282828;font-size:15px\"><strong>TOP RATED HOTELS IN NYC</strong></h1>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'vw-blog-magazine/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-blog-magazine' ),
			'categories' => array( 'vw-blog-magazine' ),
			'content'    => "<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"className\":\"post-sec mx-0\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top post-sec mx-0\"><!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"main-post\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top main-post\"><!-- wp:image {\"id\":4144,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-large mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post1.png\" alt=\"\" class=\"wp-image-4144\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"minHeight\":50} -->\n<div class=\"wp-block-cover has-white-background-color has-background-dim\" style=\"min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"left\",\"className\":\"mb-5\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<h2 class=\"has-text-align-left mb-5 has-black-color has-text-color\" style=\"font-size:18px\"><strong>GIRL FASION LIFESTYLE</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"className\":\"text-left\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-left text-left has-black-color has-text-color\" id=\"block-cfa18686-ee6e-4de4-8eb4-75c4ea086750\" style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"mb-0\"} -->\n<div class=\"wp-block-buttons mb-0\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"text\":\"#25c5b7\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color no-border-radius\" style=\"color:#25c5b7\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"main-post\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top main-post\"><!-- wp:image {\"id\":4145,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-large mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post2.png\" alt=\"\" class=\"wp-image-4145\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"minHeight\":50} -->\n<div class=\"wp-block-cover has-white-background-color has-background-dim\" style=\"min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"left\",\"className\":\"mb-5\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<h2 class=\"has-text-align-left mb-5 has-black-color has-text-color\" style=\"font-size:18px\"><strong>GIRL FASION LIFESTYLE</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"className\":\"text-left\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-left text-left has-black-color has-text-color\" id=\"block-cfa18686-ee6e-4de4-8eb4-75c4ea086750\" style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"mb-0\"} -->\n<div class=\"wp-block-buttons mb-0\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"text\":\"#25c5b7\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color no-border-radius\" style=\"color:#25c5b7\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"main-about\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top main-about\"><!-- wp:cover {\"overlayColor\":\"white\",\"minHeight\":50} -->\n<div class=\"wp-block-cover has-white-background-color has-background-dim\" style=\"min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"className\":\"mb-4\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<h3 class=\"has-text-align-center mb-4 has-black-color has-text-color\" style=\"font-size:18px\"><strong>ABOUT ME</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":4106,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/about.png\" alt=\"\" class=\"wp-image-4106\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center mb-0\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-center text-center mb-0 has-black-color has-text-color\" style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys </p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}